/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.comLib;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--资源详情--数据传输对象：业务组件库组件列表
*
* createdate:  2022-12-06 11:42:09  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件库组件列表")
public class LibraryBusComInfoDetailDto implements Serializable
{
    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    private String id;
    /**
     * 组件名称<br>
     */
    @ApiModelProperty("组件名称")
    private String comName;
    /**
     * 组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
     */
    @ApiModelProperty("组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios")
    private Integer comType;
    /**
     * 说明<br>
     */
    @ApiModelProperty("说明")
    private String memo;
    /**
     * 脚本内容<br>
     */
    @ApiModelProperty("脚本内容")
    private String scriptContent;
    /**
     * 组件复杂度<br>
     */
    @ApiModelProperty("组件复杂度")
    private Integer complexity;
    /**
     * 逻辑删除0-可用1-已删除<br>
     */
    @ApiModelProperty("逻辑删除0-可用1-已删除")
    private Integer isDeleted;
    /**
     * 组件版本号<br>
     */
    @ApiModelProperty("组件版本号")
    private String comVersion;
    /**
     * 目录树id<br>
     */
    @ApiModelProperty("目录树id")
    private String treeId;
    /**
     * 入库状态0-未审核，1-已入库，2-不通过<br>
     */
    @ApiModelProperty("入库状态0-未审核，1-已入库，2-不通过")
    private Integer libStatus;
    /**
     * 参数json<br>
     */
    @ApiModelProperty("参数json")
    private String paramJson;
    /**
     * 组件json<br>
     */
    @ApiModelProperty("组件json")
    private String comJson;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 修改人<br>
     */
    @ApiModelProperty("修改人")
    private String updatedBy;
    /**
     * 修改时间<br>
     */
    @ApiModelProperty("修改时间")
    private Date updatedTime;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    private String tenantId;

    private String projectId;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public Integer getComType() {
        return comType;
    }

    public void setComType(Integer comType) {
        this.comType = comType;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getScriptContent() {
        return scriptContent;
    }

    public void setScriptContent(String scriptContent) {
        this.scriptContent = scriptContent;
    }

    public Integer getComplexity() {
        return complexity;
    }

    public void setComplexity(Integer complexity) {
        this.complexity = complexity;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getComVersion() {
        return comVersion;
    }

    public void setComVersion(String comVersion) {
        this.comVersion = comVersion;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public Integer getLibStatus() {
        return libStatus;
    }

    public void setLibStatus(Integer libStatus) {
        this.libStatus = libStatus;
    }

    public String getParamJson() {
        return paramJson;
    }

    public void setParamJson(String paramJson) {
        this.paramJson = paramJson;
    }

    public String getComJson() {
        return comJson;
    }

    public void setComJson(String comJson) {
        this.comJson = comJson;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}